## Function template visit

boost::log::visit

## Synopsis

    // In header: <boost/log/attributes/value_visitation.hpp>

    template<typename DescriptorT, template< typename > class ActorT,
             typename VisitorT>
      visitation_result
      visit(expressions::attribute_keyword< DescriptorT, ActorT > const & keyword,
            record_view const & rec, VisitorT visitor);

## Description

The function applies a visitor to an attribute value from the view. The user has to explicitly specify the type or set of possible types of the attribute value to be visited.

Parameters:

`keyword` | The keyword of the attribute value to visit.
`rec` | A log record view. The attribute value will be sought among those associated with the record.
`visitor` | A receiving function object to pass the attribute value to.

Returns: | The result of visitation.